Subject: bug#54725: closed (Re: [bug#54725] [PATCH 0/2] LLVM 14 and Chromium 99)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Apr 2022 21:20:02 +0000

Your bug report

#54725: [PATCH 0/2] LLVM 14 and Chromium 99

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54725: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54725
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#54725] [PATCH 0/2] LLVM 14 and Chromium 99
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Thu, 07 Apr 2022 23:19:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> skriver:

> Marius Bakke (2):
>   gnu: LLVM, Clang: Add 14.0.0.
>   gnu: ungoogled-chromium: Update to 99.0.4844.84-1.
>
>  gnu/local.mk                                  |   1 +
>  gnu/packages/chromium.scm                     |  34 ++-
>  gnu/packages/llvm.scm                         | 229 ++++++++++++------
>  .../patches/clang-14.0-libc-search-path.patch |  94 +++++++
>  gnu/packages/zig.scm                          |   2 +-
>  5 files changed, 280 insertions(+), 80 deletions(-)
>  create mode 100644 gnu/packages/patches/clang-14.0-libc-search-path.patch

I went ahead and pushed these patches, along with an update to
ungoogled-chromium 100.

Subject: [PATCH 0/2] LLVM 14 and Chromium 99
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Tue, 5 Apr 2022 14:18:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Long time no see...  I have been battling poor health and injuries for
a while, but am slowly recovering.

First on my agenda is a long-overdue Chromium update.  It requires a newer
LLVM, which can not be built from individual tarballs due to
<https://github.com/llvm/llvm-project/issues/53281> and other problems
(likely fixed in 14.0.1).

This patch makes small adjustments to the LLVM and Clang build procedures
so they can be built from the LLVM "monorepo" instead of tarballs.

Feedback wanted!  I'm hoping to "fast track" these patches as Chromium 100
is already released with another slew of security fixes.  I will start
working on that next.

Marius Bakke (2):
  gnu: LLVM, Clang: Add 14.0.0.
  gnu: ungoogled-chromium: Update to 99.0.4844.84-1.

 gnu/local.mk                                  |   1 +
 gnu/packages/chromium.scm                     |  34 ++-
 gnu/packages/llvm.scm                         | 229 ++++++++++++------
 .../patches/clang-14.0-libc-search-path.patch |  94 +++++++
 gnu/packages/zig.scm                          |   2 +-
 5 files changed, 280 insertions(+), 80 deletions(-)
 create mode 100644 gnu/packages/patches/clang-14.0-libc-search-path.patch

-- 
2.34.0